## python-yubiotp 1.0.0.post1

=== docs/Makefile ===
#
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/YubiOTP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/YubiOTP.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/YubiOTP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/YubiOTP"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."
	
zip:
	rm build/html.zip || true
	cd build/html && zip -R ../html.zip '*' -x .buildinfo -x '_sources/*'

## python-yubiotp 1.0.0

=== debian/changelog ===
python-yubiotp (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fix dependency on python3-pycryptodome

 -- Tom Teichler <debdolph@tom-teichler.de>  Sun, 03 Oct 2021 15:10:39 +0200

python-yubiotp (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Sat, 02 Oct 2021 14:34:09 +0200

=== debian/control ===
Source: python-yubiotp
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 13~),
 dh-python,
 python3-all,
 python3-pycryptodome,
 python3-setuptools
Standards-Version: 4.6.0
Homepage: https://github.com/django-otp/yubiotp
Vcs-Git: https://salsa.debian.org/python-team/packages/python-yubiotp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-yubiotp

Package: python3-yubiotp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pycryptodome
Description: Low-level implementation of the YubiKey OTP algorithm in Python
 YubiOTP is a library for verifying YubiKey OTP tokens. It includes both
 the low-level implementation for verifying tokens locally and clients
 for multiple versions of the Yubico validation web service. The primary
 audience is developers who wish to verify YubiKey tokens in their
 applications, presumably as part of a multi-factor authentication scheme.
 .
 For testing and experimenting, the included yubikey script simulates one
 or more YubiKey devices using a config file. It also includes utility
 commands such as a modhex converter.
 .
 YubiOTP also includes a command-line web service client called yubiclient.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=yubiotp
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/YubiOTP
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/YubiOTP/YubiOTP-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-yubiotp 1.0.0.post1

=== debian/changelog ===
python-yubiotp (1.0.0.post1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 16:36:49 +0000

python-yubiotp (1.0.0.post1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.0.post1
  * Migrate to watch file format version 4

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Jul 2022 15:24:06 +0200

python-yubiotp (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Sun, 19 Jun 2022 23:43:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 13~),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-pycryptodome,
  python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/django-otp/yubiotp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-yubiotp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-yubiotp

=== debian/watch ===
# please also check http://pypi.debian.net/YubiOTP
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
 https://pypi.debian.net/YubiOTP/YubiOTP@ANY_VERSION@@ARCHIVE_EXT@
